source /home/stack/overcloudrc
## Detect if ceph shared storage was used
STORAGE_BACKEND=$(openstack volume service list -f json | jq -r -c '.[] | select(.Binary | contains("cinder-volume")) | .Host' | sed s/hostgroup@tripleo_//)
if [ $STORAGE_BACKEND == 'ceph' ]; then
    nova host-evacuate-live compute-0.localdomain
else
    nova host-evacuate-live --block-migrate compute-0.localdomain
fi

timeout_seconds=120
elapsed_seconds=0
while true; do
    echo "Waiting for compute-0.localdomain to get quiesced ..."
    INSTANCE_COUNT=$(openstack server list --host compute-0.localdomain -f json | jq -r -c '[.[] | select(.Status | contains("ACTIVE") or contains("PAUSED") or contains("MIGRATING"))] | length')
    if [ $INSTANCE_COUNT == 0 ]; then
        break
    fi
    sleep 3
    (( elapsed_seconds += 3 ))
    if [ $elapsed_seconds -ge $timeout_seconds ]; then
        echo "FAILURE: Could not quiesce compute node compute-0.localdomain"
    exit 1
    fi
done
