#!/bin/bash
#
# Download container images and upload them to local docker registry
set -euo pipefail

REPO_FILE="$(find /etc/yum.repos.d/ -iname 'rhos-release-??.*')"
REPO_URL="$(grep -B2 enabled=1 $REPO_FILE | grep -m1 puddle | sed -E 's/.*(http.*[0-9]-RHEL-.\/).*/\1/')"
curl -L -o /home/stack/container_images.yaml $REPO_URL/latest_containers/container_images.yaml

REGISTRY="$(grep pull_source /home/stack/container_images.yaml | uniq | awk {'print $2'})"


sudo sed -i -E "s/(--insecure-registry.*)\"/\1\ --insecure-registry\ $REGISTRY\"/" /etc/sysconfig/docker
sudo systemctl restart docker

source /home/stack/stackrc
openstack overcloud container image upload --verbose --config-file /home/stack/container_images.yaml
