#!/bin/bash
#
# Create environment file with the registry used by the overcloud nodes
set -euo pipefail

REPO="$(find /etc/yum.repos.d/ -iname 'rhos-release-??.*')"
REPO_URL="$(grep -B2 enabled=1 $REPO | grep -m1 puddle | sed -E 's/.*(http.*[0-9]-RHEL-.\/).*/\1/')"
curl -L -o /home/stack/container_images.yaml $REPO_URL/latest_containers/container_images.yaml
TAG="$(awk -F':' '/imagename/ {print $NF; exit}' /home/stack/container_images.yaml)"
REGISTRY="$(grep pull_source /home/stack/container_images.yaml | uniq | awk {'print $2'})"
openstack overcloud container image prepare \
  --env-file=/home/stack/docker-osp12.yaml \
  --prefix=openstack- \
  --suffix=-docker \
  --tag="$TAG" \
  --namespace=$REGISTRY/rhosp12
echo >> /home/stack/docker-osp12.yaml "  DockerInsecureRegistryAddress: $REGISTRY"
echo >> /home/stack/docker-osp12.yaml "  DockerCephDaemonImage: $REGISTRY/ceph/rhceph-2-rhel7:latest"
